Skip to content
This repository
Newer
Older
100644 31 lines (25 sloc) 1.19 kb
1a81c00e »
2010-01-26 Improve bundle check output
1 # -*- encoding: utf-8 -*-
1da7eb35 »
2010-04-01 Don't generate bundler.gemspec anymore
2 lib = File.expand_path('../lib/', __FILE__)
3 $:.unshift lib unless $:.include?(lib)
4
5 require 'bundler/version'
1a81c00e »
2010-01-26 Improve bundle check output
6
7 Gem::Specification.new do |s|
1da7eb35 »
2010-04-01 Don't generate bundler.gemspec anymore
8 s.name = "bundler"
9 s.version = Bundler::VERSION
10 s.platform = Gem::Platform::RUBY
b057fe1d »
2011-04-01 Remove deprecated default_executable, update email
11 s.authors = ["André Arko", "Terence Lee", "Carl Lerche", "Yehuda Katz"]
12 s.email = ["andre@arko.net"]
74c85bca »
2010-06-21 omg we actually have a homepage now
13 s.homepage = "http://gembundler.com"
60c031d5 »
2010-09-09 Use the new `bundle gem` defaults
14 s.summary = %q{The best way to manage your application's dependencies}
15 s.description = %q{Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably}
1a81c00e »
2010-01-26 Improve bundle check output
16
46914db4 »
2010-09-11 required_rubygems_version takes a string, not an array
17 s.required_rubygems_version = ">= 1.3.6"
1da7eb35 »
2010-04-01 Don't generate bundler.gemspec anymore
18 s.rubyforge_project = "bundler"
1a81c00e »
2010-01-26 Improve bundle check output
19
9fb91dda »
2010-08-24 Added ronn to development dependencies, since it's required to build …
20 s.add_development_dependency "ronn"
1da7eb35 »
2010-04-01 Don't generate bundler.gemspec anymore
21 s.add_development_dependency "rspec"
1a81c00e »
2010-01-26 Improve bundle check output
22
7e6e8dd4 »
2010-10-05 Comment to explain the man files
23 # Man files are required because they are ignored by git
24 man_files = Dir.glob("lib/bundler/man/**/*")
f4307761 »
2011-09-17 move gem_helper_spec to conventional location
25 git_files = `git ls-files`.split("\n") rescue ''
26 s.files = git_files + man_files
60c031d5 »
2010-09-09 Use the new `bundle gem` defaults
27 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
82cc6dd4 »
2010-10-02 Hey guess what? The git-ignored man pages _are the help_
28 s.executables = %w(bundle)
60c031d5 »
2010-09-09 Use the new `bundle gem` defaults
29 s.require_paths = ["lib"]
947c1f5d »
2010-08-11 Let's write a spec that ensures that gem build bundler.gemspec still …
30 end
Something went wrong with that request. Please try again.